package com.srs.stureg.mapper;

import java.util.List;
import com.srs.stureg.domain.CheckRoom;

/**
 * 入住信息Mapper接口
 * 
 * @author 邓
 * @date 2023-05-20
 */
public interface CheckRoomMapper 
{
    /**
     * 查询入住信息
     * 
     * @param id 入住信息主键
     * @return 入住信息
     */
    public CheckRoom selectCheckRoomById(Long id);

    /**
     * 查询入住信息列表
     * 
     * @param checkRoom 入住信息
     * @return 入住信息集合
     */
    public List<CheckRoom> selectCheckRoomList(CheckRoom checkRoom);

    /**
     * 新增入住信息
     * 
     * @param checkRoom 入住信息
     * @return 结果
     */
    public int insertCheckRoom(CheckRoom checkRoom);

    /**
     * 修改入住信息
     * 
     * @param checkRoom 入住信息
     * @return 结果
     */
    public int updateCheckRoom(CheckRoom checkRoom);

    /**
     * 删除入住信息
     * 
     * @param id 入住信息主键
     * @return 结果
     */
    public int deleteCheckRoomById(Long id);

    /**
     * 批量删除入住信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCheckRoomByIds(Long[] ids);
}
